## edu.stanford.nlp.trees
Class TreeCoreAnnotations.HeadTagAnnotation

    java.lang.Object
      edu.stanford.nlp.trees.TreeCoreAnnotations.HeadTagAnnotation

All Implemented Interfaces:
  CoreAnnotation<Tree>, TypesafeMap.Key<CoreMap,Tree>

Enclosing class:
  TreeCoreAnnotations

    public static class TreeCoreAnnotations.HeadTagAnnotation

extends Object
implements CoreAnnotation<Tree>

The standard key for storing a head tag in the map as a pointer to another node.

Constructor Summary
`TreeCoreAnnotations.HeadTagAnnotation()`

Method Summary
`Class<Tree>` `getType()` Returns the type associated with this annotation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeCoreAnnotations.HeadTagAnnotation

    public TreeCoreAnnotations.HeadTagAnnotation()

Method Detail

### getType

    public Class<Tree> getType()

  Description copied from interface: `CoreAnnotation`
  Returns the type associated with this annotation. This method must return the same class type as its value type parameter. It feels like one should be able to get away without this method, but because Java erases the generic type signature, that info disappears at runtime.

  Specified by:
    `getType` in interface `CoreAnnotation<Tree>`

Stanford NLP Group